# Interface IconSymbol3DLayerJson

IconSymbol3DLayer is used to render Point geometries using a flat 2D icon (e.g. a circle) with a PointSymbol3D in a SceneView.

See https://developers.arcgis.com/web-scene-specification/objects/iconSymbol3DLayer/.

interface IconSymbol3DLayerJson {
anchor?:
| "center"
| "left"
| "right"
| "top"
| "bottom"
| "topLeft"
| "topRight"
| "bottomLeft"
| "bottomRight";
enable?: boolean;
material?: MaterialJson;
outline?: OutlineJson;
resource?: ResourceIconSymbolJson;
size?: number;
type: "Icon";
}

#### Hierarchy (view full)

- Symbol3DLayerJsonBase
  - IconSymbol3DLayerJson

#####
Index

### Properties

anchor?
enable?
material?
outline?
resource?
size?
type

##
Properties

### `Optional` anchor

anchor?:
| "center"
| "left"
| "right"
| "top"
| "bottom"
| "topLeft"
| "topRight"
| "bottomLeft"
| "bottomRight"

Must be one of the following values: center, left, right, top, bottom, topLeft, topRight, bottomLeft, bottomRight.

### `Optional` enable

enable?: boolean

Type: Boolean.

### `Optional` material

material?: MaterialJson

The material used to shade the geometry.

### `Optional` outline

outline?: OutlineJson

The outline of the point, line or polygon.

### `Optional` resource

resource?: ResourceIconSymbolJson

The shape (primitive) or image URL (href) used to visualize the features.

### `Optional` size

size?: number

Icon size in points, positive only.

### type

type

The type of the Symbol3DLayer. See Symbol3DLayerJsonType.

Overrides Symbol3DLayerJsonBase.type